
package net.mcreator.ritualsrites.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.MobRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.client.model.geom.ModelLayers;
import net.minecraft.client.model.GhastModel;

import net.mcreator.ritualsrites.entity.KEntity;

import com.mojang.blaze3d.vertex.PoseStack;

public class KRenderer extends MobRenderer<KEntity, GhastModel<KEntity>> {
	public KRenderer(EntityRendererProvider.Context context) {
		super(context, new GhastModel(context.bakeLayer(ModelLayers.GHAST)), 0.5f);
	}

	@Override
	protected void scale(KEntity entity, PoseStack poseStack, float f) {
		poseStack.scale(0.5f, 0.5f, 0.5f);
	}

	@Override
	public ResourceLocation getTextureLocation(KEntity entity) {
		return new ResourceLocation("rituals__rites:textures/entities/ghast_2.png");
	}

	@Override
	protected boolean isBodyVisible(KEntity entity) {
		return false;
	}
}
