
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.ritualsrites.init;

import org.checkerframework.checker.units.qual.K;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.fml.event.lifecycle.FMLCommonSetupEvent;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.entity.EntityAttributeCreationEvent;

import net.minecraft.world.entity.MobCategory;
import net.minecraft.world.entity.EntityType;
import net.minecraft.world.entity.Entity;

import net.mcreator.ritualsrites.entity.KEntity;
import net.mcreator.ritualsrites.entity.DemonEntity;
import net.mcreator.ritualsrites.entity.CultistEntity;
import net.mcreator.ritualsrites.RitualsRitesMod;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class RitualsRitesModEntities {
	public static final DeferredRegister<EntityType<?>> REGISTRY = DeferredRegister.create(ForgeRegistries.ENTITY_TYPES, RitualsRitesMod.MODID);
	public static final RegistryObject<EntityType<KEntity>> K = register("k",
			EntityType.Builder.<KEntity>of(KEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(KEntity::new).fireImmune().sized(1f, 1f));
	public static final RegistryObject<EntityType<CultistEntity>> CULTIST = register("cultist",
			EntityType.Builder.<CultistEntity>of(CultistEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(CultistEntity::new)

					.sized(0.6f, 1.8f));
	public static final RegistryObject<EntityType<DemonEntity>> DEMON = register("demon",
			EntityType.Builder.<DemonEntity>of(DemonEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(DemonEntity::new).fireImmune().sized(0.6f, 1.8f));

	private static <T extends Entity> RegistryObject<EntityType<T>> register(String registryname, EntityType.Builder<T> entityTypeBuilder) {
		return REGISTRY.register(registryname, () -> (EntityType<T>) entityTypeBuilder.build(registryname));
	}

	@SubscribeEvent
	public static void init(FMLCommonSetupEvent event) {
		event.enqueueWork(() -> {
			KEntity.init();
			CultistEntity.init();
			DemonEntity.init();
		});
	}

	@SubscribeEvent
	public static void registerAttributes(EntityAttributeCreationEvent event) {
		event.put(K.get(), KEntity.createAttributes().build());
		event.put(CULTIST.get(), CultistEntity.createAttributes().build());
		event.put(DEMON.get(), DemonEntity.createAttributes().build());
	}
}
