
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.ritualsrites.init;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.BuildCreativeModeTabContentsEvent;

import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.CreativeModeTabs;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.network.chat.Component;
import net.minecraft.core.registries.Registries;

import net.mcreator.ritualsrites.RitualsRitesMod;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class RitualsRitesModTabs {
	public static final DeferredRegister<CreativeModeTab> REGISTRY = DeferredRegister.create(Registries.CREATIVE_MODE_TAB, RitualsRitesMod.MODID);
	public static final RegistryObject<CreativeModeTab> HOLY_BLOCKS = REGISTRY.register("holy_blocks",
			() -> CreativeModeTab.builder().title(Component.translatable("item_group.rituals__rites.holy_blocks")).icon(() -> new ItemStack(RitualsRitesModBlocks.HOLYSTONE.get())).displayItems((parameters, tabData) -> {
				tabData.accept(RitualsRitesModBlocks.HOLYSTONE.get().asItem());
				tabData.accept(RitualsRitesModBlocks.H_SSTAIRS.get().asItem());
				tabData.accept(RitualsRitesModBlocks.H_SSLABS.get().asItem());
				tabData.accept(RitualsRitesModBlocks.SMOOTH_HOLY_STONE.get().asItem());
				tabData.accept(RitualsRitesModBlocks.SH_SSTAIRS.get().asItem());
				tabData.accept(RitualsRitesModBlocks.SH_SSLAB.get().asItem());
				tabData.accept(RitualsRitesModBlocks.HEAVENLY_ORE.get().asItem());
				tabData.accept(RitualsRitesModBlocks.HEAVENLY_BLOCK.get().asItem());
			})

					.build());
	public static final RegistryObject<CreativeModeTab> OCCULT_BLOCKS = REGISTRY.register("occult_blocks",
			() -> CreativeModeTab.builder().title(Component.translatable("item_group.rituals__rites.occult_blocks")).icon(() -> new ItemStack(RitualsRitesModBlocks.DARKSTONE.get())).displayItems((parameters, tabData) -> {
				tabData.accept(RitualsRitesModBlocks.DARKSTONE.get().asItem());
				tabData.accept(RitualsRitesModBlocks.D_SSTAIR.get().asItem());
				tabData.accept(RitualsRitesModBlocks.D_SSLAB.get().asItem());
				tabData.accept(RitualsRitesModBlocks.SMOOTH_DS.get().asItem());
				tabData.accept(RitualsRitesModBlocks.SD_SSTAIR.get().asItem());
				tabData.accept(RitualsRitesModBlocks.SD_SSLAB.get().asItem());
				tabData.accept(RitualsRitesModBlocks.OCCULT_ORE.get().asItem());
				tabData.accept(RitualsRitesModBlocks.OCCULT_BLOCK.get().asItem());
			})

					.build());
	public static final RegistryObject<CreativeModeTab> WEAPONS = REGISTRY.register("weapons",
			() -> CreativeModeTab.builder().title(Component.translatable("item_group.rituals__rites.weapons")).icon(() -> new ItemStack(RitualsRitesModItems.SACRAFICIAL_KNIFE.get())).displayItems((parameters, tabData) -> {
				tabData.accept(RitualsRitesModItems.SACRAFICIAL_KNIFE.get());
				tabData.accept(RitualsRitesModItems.CURSEDCLEAVER.get());
				tabData.accept(RitualsRitesModItems.SOULIGNITER.get());
			})

					.build());
	public static final RegistryObject<CreativeModeTab> HOLY_WEAPONS = REGISTRY.register("holy_weapons",
			() -> CreativeModeTab.builder().title(Component.translatable("item_group.rituals__rites.holy_weapons")).icon(() -> new ItemStack(RitualsRitesModItems.CRUCIFIX.get())).displayItems((parameters, tabData) -> {
				tabData.accept(RitualsRitesModItems.CRUCIFIX.get());
				tabData.accept(RitualsRitesModItems.FLAME_SWORD.get());
			})

					.build());

	@SubscribeEvent
	public static void buildTabContentsVanilla(BuildCreativeModeTabContentsEvent tabData) {
		if (tabData.getTabKey() == CreativeModeTabs.COMBAT) {
			tabData.accept(RitualsRitesModItems.HOLY_CHESTPLATE.get());
			tabData.accept(RitualsRitesModItems.DEMONSKIN_ARMOR_HELMET.get());
			tabData.accept(RitualsRitesModItems.DEMONSKIN_ARMOR_CHESTPLATE.get());
			tabData.accept(RitualsRitesModItems.DEMONSKIN_ARMOR_LEGGINGS.get());
			tabData.accept(RitualsRitesModItems.DEMONSKIN_ARMOR_BOOTS.get());
		} else if (tabData.getTabKey() == CreativeModeTabs.SPAWN_EGGS) {
			tabData.accept(RitualsRitesModItems.K_SPAWN_EGG.get());
			tabData.accept(RitualsRitesModItems.CULTIST_SPAWN_EGG.get());
			tabData.accept(RitualsRitesModItems.DEMON_SPAWN_EGG.get());
		} else if (tabData.getTabKey() == CreativeModeTabs.INGREDIENTS) {
			tabData.accept(RitualsRitesModItems.GHOSTTEARS.get());
			tabData.accept(RitualsRitesModItems.DARKSTICK.get());
			tabData.accept(RitualsRitesModItems.OCCULT.get());
			tabData.accept(RitualsRitesModItems.DARK_SOUL.get());
			tabData.accept(RitualsRitesModItems.DEMON_HIDE.get());
			tabData.accept(RitualsRitesModItems.HEAVENLY.get());
			tabData.accept(RitualsRitesModItems.HOLY_STICK.get());
		}
	}
}
